Bug 160148 - process `procfgd' is using obsolete setsockopt ...BSDCOMPAT
process `procfgd' is using obsolete setsockopt ...BSDCOMPAT
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: procinfo (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2005-06-11 16:30 EDT by Christian Emery
Modified: 2015-01-07 19:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-12 15:44:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christian Emery 2005-06-11 16:30:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
PROCfg is a reporting and configuration tool for Intel® PRO LAN adapters (10/100 and 1000) and Intel Advanced Network Services (iANS). It works with the Intel e100, e1000, and iANS drivers on Intel 32-bit architectures running Red Hat Linux. Process `procfgd`, a background application process, is using obsolete setsockopt ...BSDCOMPAT. This appears that it is a bug that has not yet been reported. According to http://support.dell.com/support/edocs/NETWORK/9195P/en/procfg.htm :
Intel supplies pre-built binary RPM files of this application for Red Hat Linux distributions.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot system
2. `ps -ef | grep procfgd` Verify that process is running
3. Check log file for errors, /var/log/procfgd.log

Actual Results:  Verified continuous messages in /var/log/procfgd.log in regards to the setsockopt BSDCOMPAT

Expected Results:  Should not be using obsolete setsockopt BSDCOMPAT

Additional info:
Comment 1 Karel Zak 2005-06-12 06:49:14 EDT
It looks that "procfgd" isn't RH distribution component... Why do you report it
to Red Hat bugzilla and to procinfo component?
Comment 2 Christian Emery 2005-06-12 07:53:11 EDT
As far as I can tell, procfgd is bundled with RH Enterprise distributions on 
Dell systems. According to the Dell support website, "Intel supplies pre-built 
binary RPM files of this application for Red Hat Linux distributions.". Does 
this mean that the Intel supported RPM's included in the RH distribution 
unsupported? I think that would be ridiculous for any Enterprise distribution 
of any software.

Since there was no specific catagory for it, I logged it under "procinfo" since 
it was closest alphabetically. It seems as if the bug tree catagories are not 
verbose enough to handle unlisted modules, etc. This should be considered for 
future page revisions. Please assign / reassign this to the appropriate 
catagory if required.
Comment 3 Karel Zak 2005-06-12 15:44:17 EDT
Sorry, but we cannot support something what is no RH distribution component.
Please, connect Intel or Dell support. Thanks.
Comment 4 Christian Emery 2005-06-12 23:16:39 EDT
The server in question runs RH Enterprise and is on your support matrix. You 
should be able to support it and any drivers required. Procfgd is pre-built by 
Intel and included in the RH Enterprise distribution. Since it is in the RH 
Enterprise distribution itself, RH should be able to support it at some level. 
It does not make any sense for RH to include something in a enterprise level 
distribution that they are not willing or able to support.
Comment 5 Karel Zak 2005-06-13 03:50:15 EDT
Well, you can use official Red Hat Inc. support:
maybe they have more information. I know nothing about procfg.
Comment 6 Arjan van de Ven 2005-06-13 04:03:25 EDT
You seem to require support (as opposed to reporting a defect in our
distribution) and as such bugzilla is the wrong mechanism for your query.

procfgd is not part of Red Hat Enterprise Linux as distributed by Red Hat.
According to your statement, Dell added this to your machine. If you contact our
support then they will work with Dell to resolve your issue.

Bugzilla is a tool to directly contact Red Hat engineering, and since this tool
is not shipped by Red Hat nor comes from Red Hat, Red Hat engineering is the
wrong party to contact.

I'm confident that once you contact the right party (support) that you will get
a more satisfying answer to your problem.

from the bugzilla front page:
Support Note

Thank you for visiting Bugzilla. Bugzilla is the Red Hat bug-tracking system and
is used to submit and review defects that have been found in Red Hat
distributions. Bugzilla is not an avenue for technical assistance or support,
but simply a bug tracking system. If you submit a defect, please provide
detailed information in your submission after you have queried Bugzilla to
ensure the defect has not been reported yet. Defects will go directly to the
engineer responsible for the component you filed the defect against. Engineers
have many responsibilities and will get to your defect in due time.

If you are a Red Hat Enterprise Linux customer and have an active support
entitlement, please log in to Red Hat Support for assistance with your issue. If
you are a Fedora Project user and require assistance, please consider using one
of the mailing lists we host for the Fedora Project.

You may also find answers to many issues in the Red Hat Knowledgebase or you may
also connect with the Red Hat community to find technical answers through Red
Hat Technical Mailing Lists.

Please use the correct channels for support so that your issue can be resolved
in a prompt and timely manner. Thank you for choosing Red Hat. 

Note You need to log in before you can comment on or make changes to this bug.